debian: Instruct git-buildpackage that it's OK to build from this branch attic/0.3.x 0.3.1
authorCarl Worth <cworth@cworth.org>
Wed, 28 Apr 2010 00:04:52 +0000 (17:04 -0700)
committerCarl Worth <cworth@cworth.org>
Wed, 28 Apr 2010 00:04:52 +0000 (17:04 -0700)
I wish I had something with better support for a native Debian package
here. I shouldn't ever have to configure any branch---I just want it
to build a package from the current branch. Instead it makes me tell
it (twice!) what the current branch actually is.

debian/gbp.conf

index dba526f66abc18e2b21fb616eccc75624dbc4958..a4794f1ca0797a45dd7a9977541ec392c885382c 100644 (file)
@@ -2,10 +2,10 @@
 
 [DEFAULT]
 # The default branch for upstream sources
-upstream-branch = master
+upstream-branch = 0.3.x
 
 # The default branch for the debian patch (no patch in our case)
-debian-branch = master
+debian-branch = 0.3.x
 
 # Directory for performing the build
 export-dir = ./debian-build